# Created by pyp2rpm-3.3.3
%global pypi_name pytest-cython

Name:           python-%{pypi_name}
Version:        0.1.0
Release:        %mkrel 2
Summary:        A plugin for testing Cython extension modules
Group:          Development/Python
License:        MIT
URL:            https://github.com/lgpage/pytest-cython
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest) >= 2.7.3
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-py3doc-enhanced-theme)

%description
This Pytest plugin allows for the doctesting of C extension modules for Python,
specifically created through Cython.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pytest) >= 2.7.3
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
This Pytest plugin allows for the doctesting of C extension modules for Python,
specifically created through Cython.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD}/build/lib/ sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc docs/readme.rst README.rst
%doc html
%{python3_sitelib}/pytest_cython
%{python3_sitelib}/pytest_cython-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 0.1.0-2.mga8
+ Revision: 1541954
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 wally <wally> 0.1.0-1.mga8
+ Revision: 1475685
- imported package python-pytest-cython

